package org.oscy.tapestry.breadcrumbs.session;

import java.io.Serializable;
import java.util.List;

import org.oscy.tapestry.breadcrumbs.other.BreadCrumbElement;

/**
 *	General interface responsible for saving breadcrumbs list on session.
 */
public interface BreadCrumbsList extends Serializable
{
	
	/**
	 * 
	 * @return Copy of the list containing all the breadcrumbs currently saved. 
	 */
	public List<BreadCrumbElement> getBreadCrumbs();
}
